-- deliver_survey
--
local function deliver_survey(playername, survey_id)
    -- Defense
    if (yl_survey_fs.validate(playername, "string", false) == false) then
        return false, yl_survey_fs.t("playername must be string")
    end
    local pobj = minetest.get_player_by_name(playername)
    if pobj == nil then return false, yl_survey_fs.t("player not found") end
    if (yl_survey_fs.validate(survey_id, "string", false) == false) then
        return false, yl_survey_fs.t("survey_id must be string")
    end

    local record = yl_survey.get_record(survey_id)

    if (record == nil) then
        return false, yl_survey_fs.t("record does not exist")
    end

    local formname = "yl_survey_fs:" .. survey_id
    local formspec =
        yl_survey_fs.construct_frame_formspec(playername, survey_id)

    -- Init cache
    yl_survey_fs.data[playername] = {}
    yl_survey_fs.data[playername].survey_id = survey_id
    yl_survey_fs.data[playername].sort = 0
    yl_survey_fs.data[playername].q_id = 0
    yl_survey_fs.data[playername].response = {}

    minetest.show_formspec(playername, formname, formspec)

    return true
end

function yl_survey_fs.deliver_survey(playername, survey_id)
    return deliver_survey(playername, survey_id)
end
